Docs Menu
Docs Home
/ /

Delete One S3 Blockstore Configuration (v2.0)

Deletes the configuration of one S3-compatible storage blockstore.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v2.0/admin/backup

DELETE /snapshot/s3Configs/{S3-BLOCKSTORE-CONFIG-ID}
Name
Type
Description

S3-BLOCKSTORE-CONFIG-ID

string

The unique name that labels this S3-compatible storage blockstore configuration.

The following query parameters are optional:

Name
Type
Necessity
Description
Default

pretty

boolean

Optional

Flag indicating whether the response body is in a prettyprint format.

false

envelope

boolean

Optional

Flag that indicates whether to wrap the response in an envelope.

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query.

For endpoints that return one result, the response body includes:

  • status: HTTP response code

  • content: Expected response body

false

This endpoint doesn't use HTTP request body parameters.

This endpoint does not have response elements.

curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \
--include \
--request DELETE 'https://<OpsManagerHost>:<Port>/api/public/v2.0/admin/backup/snapshot/s3Configs/{S3-BLOCKSTORE-CONFIG-ID}'

This endpoint doesn't return a response body.

Back

Update

On this page